Search Transactions
Search transactions with filters (date, invoice, fee type, etc.)
Authentication
AuthorizationBearer
Authentication using Personal Access Token (PAT) token or OAuth2
Query parameters
Cursor
[Optional] A pagination token used to jump to first, last, next or previous pages. When supplied, it overrides all other filter parameters.
Request
Used to filter transactions based on search criteria. Required if cursor is not provided. Ignored when cursor is present (i.e., for paginated requests).
from_date
Start date for filtering transactions by charge date. Defaults to 7 days before the current date if not specified.
invoice_ids
List of invoice IDs to filter transactions by.
invoiced_status
Filter transactions by invoicing status. True returns billed transactions, false returns unbilled transactions, and null returns both billed and unbilled transactions.
page_size
Number of transactions to return per page. Default is 100. Must be between 1 and 1000.
reference_ids
List of reference IDs (such as Shipment IDs, WRO IDs) to filter transactions. Can be numeric or string identifiers.
reference_types
The types of references associated with the reference IDs to filter by.
Allowed values:
sort_order
Sort order for results. Ascending sorts from lowest to highest, Descending sorts from highest to lowest.
Allowed values:
to_date
End date for filtering transactions by charge date. Defaults to the current date if not specified.
transaction_fees
List of transaction fee types to filter by. To get all available transaction fees, use the ‘/transaction-fees’ endpoint.
transaction_types
The classification or nature of the transactions to filter by.
Allowed values:
Response
Success
first
Go to the first page
items
last
Go to the Last page
next
Go to the Next page
prev
Go to the Previous page

